
CoCoA-5 - Feature #1316

Matrix row reduction (rref)

19 Sep 2019 13:21 - John Abbott

Status: Closed Start date: 19 Sep 2019

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: CoCoA-5 function: new Estimated time: 2.88 hours

Target version: CoCoA-5.3.0 Spent time: 2.75 hours

Description

Julian Danner would like a function for computing the "row reduced echelon form" (rref) of a matrix.

Related issues:

Related to CoCoA-5 - Feature #578: Gaussian Elimination In Progress 01 Jul 2014

History

#1 - 19 Sep 2019 13:23 - John Abbott

What exactly should the user interface be?

Just return the rref?

return rref and a transformation?

must the columns be considered in left-to-right order?  or can the function choose a convenient order?

#2 - 09 Jan 2020 21:15 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 30

I have put a simple implementation into the current "internal" version of CoCoALib (and CoCoA-5).

It is called rref.

Much to my surprise there is already an undocumented function called RowReducedForm (apparently put in by me).  I do not know exactly what it

does.

Not doc; no tests (yet).

#3 - 17 Feb 2020 14:51 - John Abbott

- Status changed from In Progress to Feedback

- Assignee set to John Abbott

- Target version changed from CoCoA-5.?.? to CoCoA-5.3.0

- % Done changed from 30 to 90

- Estimated time set to 2.66 h

Removed old impl.  Added doc and test.

#4 - 19 Feb 2020 11:31 - John Abbott

- Status changed from Feedback to Closed
- % Done changed from 90 to 100

- Estimated time changed from 2.66 h to 2.88 h

#5 - 15 May 2020 10:26 - Anna Maria Bigatti

- Related to Feature #578: Gaussian Elimination added
